Subject: Re: Select returns (-1) for STDIN_FILENO
From: [email-masked] (Jeremy Allison)

17 Dec 1996 15:56:53 -0800
Sender: [email-masked]
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Original-To: Ben Castrogiovanni <[email-masked]>
Original-cc: [email-masked]
In-reply-to: Your message of "Tue, 17 Dec 1996 11:06:11 PST."
             <[email-masked]> 
Original-Sender: [email-masked]

Ben,

	Right now attempting to select on a
console handle and a socket will immediately
fail. This is due to the way select is implemented
internally in Beta 17.1. It can be extended to do
a blocking select on both sockets and console handles
but this is not currently a high priority for me (I
am using cygwin32 for the kerberos security code
which doesn't have this requirement).

I know how to extend select but it's a fiddly
job :-).

If anyone wants to contribute the code I'd be more
than happy to integrate it (warning though, to be implemented
correctly you'll need a separate socket select thread, a 
loopback socket for timeout cancellation and other uglyness).

Cheers,

Jeremy.
[email-masked]
-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".